Shared publicly  - 
 
Apple is the biggest pile of shit around.

OK so at work we have an apple or two. Long story but for updating some iPhones. So we need to run iTunes, except it wants Quicktime 7.5.5 or above or something. Googled quicktime to get the apple page but oh no, I have to update it through 'system update'. Hey that's kinda cool - bit like a linux repo. Anyway ran some updates (about 400 megs worth of java and a 'system fix' or some vague name) and rebooted as requested. Then ran system update again and have to update java... again. After I do that the system is 'up to date'.

Run itunes. You need quicktime 7.5.5 or above. Stupid. Google for the answer and apparently I need to manually download and run the update and click here for the page (apple/downloads or whatever). They have a list of 50 different downloads or so. I have no idea which version of mac os it's running so another Google later and I find how. So we have 10.5.8 on this machine.

Search apple for quicktime osx lion 10.5.8 or whatever and find a download for quicktime ... that needs 10.6.2 or higher. So I find a download for updating the os to 10.7 or so and it's a 1.2 Gig file! WTF. Hey apple, look at puppy linux and tell me how the fuck you can justify the 1.2 gig download?

So it's about time for me to go back and check on the download. Once that is done I should be able to download the updated quicktime, which will let itunes work so I CAN PLUG THE FUCKING PHONE IN!

Shit I'm not a windows fanboy but I'd take it anyday over apple.
4
Mark Clarke's profile photoScott Evans (VK7HSE)'s profile photoXoke Soru's profile photoDavid Hirsch's profile photo
9 comments
 
yeah but its sooooo user friendly and intuitive. You just pick it up and know how to use it because their ui design is just that good! Obviously all those people I see getting iPad lesson at the istore on the weekend are super advanced iusers.
 
Oh so that didn't work. Apparently I can't just update from 10.5 to 10.7 because, and I believe the exact message it said was "because fuck you that's why". Finally figured it out. You have to know the NAME of the OS. Just the version number doesn't help. So once I figured out that it was leopard or something I managed to find quicktime 7.5.5 for leopard.

Oh and apple. Go look at http://get.adobe.com/reader/ (yeah I know, it's adobe but even THEY can do this). It detects your OS and suggests the version you should download. Or you can just click on the link and go to http://get.adobe.com/reader/otherversions/ and get some nice dropdowns to just pick the OS you have and there you go. crapple on the other hand make you wade through a huge fucking list of crap to try to find the version you want.
 
Actually that is about it. I finally found the correct version (hint: search for version name, not version number) and downloaded quicktime 7.5.5 and that lets itunes run, but not show movies or play music or something. Don't care, just need to be able to plug an iphone in to wipe it before we flog it!

Now back to doing my actual job - PHP coding.
 
iFail :-D I totally agree with +Andy C I struggled to remain quite (due to wanting to laugh!) as its almost 2am here...
 
Apple doesn't want you to do that! As they just expect you to replace the hardware! Bastards... (fwiw I don't own/use any apple products/services)
 
I'm glad they do as we make money because of it!
 
Wow that was strange. I just installed a new HD in my older IMac. After the rounds of updates I went to install IWork software from apple and I hit your roadblock. Figuring out which QuickTime (made by apple) to use to continue. Someone is asleep at the wheel. 
Add a comment...